Page MenuHomePhabricator

Make language identification for a code block case insensitive in VE
Closed, ResolvedPublic1 Story Points

Description

Original report

On this article, there is a section with a C language example. The wikitext for this example is <syntaxhighlight lang="C"> instead of <syntaxhighlight lang="c">. Result: the code block is not displayed while editing with VE.

I've reproduced it on a non-RTL language wiki.

Details

Related Gerrit Patches:
mediawiki/extensions/SyntaxHighlight_GeSHi : masterMake VE language checking case-insensitive

Event Timeline

Trizek-WMF raised the priority of this task from to Needs Triage.
Trizek-WMF updated the task description. (Show Details)
Trizek-WMF added a project: VisualEditor.
Trizek-WMF added a subscriber: Trizek-WMF.
Restricted Application added subscribers: StudiesWorld, Aklapper. · View Herald TranscriptJan 29 2016, 6:17 PM
Jdforrester-WMF triaged this task as Low priority.Feb 2 2016, 7:44 PM
Jdforrester-WMF set Security to None.
Jdforrester-WMF edited a custom field.
Jdforrester-WMF moved this task from To Triage to Freezer on the VisualEditor board.
Krinkle renamed this task from Language identification for a code block is case sensitive: some blocks disappear while editing with VE to Make language identification for a code block is case insensitive in VE.Apr 28 2017, 9:43 PM

This is still a problem, although less severe: the code block appears in VE and can be edited, but after opening the dialog, the language name is considered invalid and you can't apply changes in the dialog until you "fix" it.

I would like to mentor this task in Google-Code-in-2018.

Bjornskjald renamed this task from Make language identification for a code block is case insensitive in VE to Make language identification for a code block case insensitive in VE.Oct 24 2018, 3:51 PM

Change 469453 had a related patch set uploaded (by Bartosz Dziewoński; owner: Bjornskjald):
[mediawiki/extensions/SyntaxHighlight_GeSHi@master] Make VE language checking case-insensitive

https://gerrit.wikimedia.org/r/469453

Change 469453 merged by jenkins-bot:
[mediawiki/extensions/SyntaxHighlight_GeSHi@master] Make VE language checking case-insensitive

https://gerrit.wikimedia.org/r/469453

matmarex closed this task as Resolved.Oct 24 2018, 6:26 PM
matmarex assigned this task to Bjornskjald.
matmarex removed a project: Patch-For-Review.
Restricted Application added a project: User-Ryasmeen. · View Herald TranscriptOct 24 2018, 6:26 PM